Closed Bug 955708 Opened 6 years ago Closed 6 years ago

Shutdown error: this._keepAliveTimer is undefined

Categories

(Chat Core :: Yahoo! Messenger, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: qheaden)

Details

Attachments

(1 file)

*** Original post on bio 2259 at 2013-11-28 13:08:00 UTC ***

STR: Shutdown IB with JS-yahoo accounts existing but not connected.

* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "this._keepAliveTimer is undefined" {file: "resource://gre/components/yahoo.js" line: 232}]' when calling method: [prplIAccount::unInit]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: resource://gre/components/imAccounts.js :: <TOP_LEVEL> :: line 642"  data: yes]
Attached patch Patch 1Splinter Review
*** Original post on bio 2259 as attmnt 3126 at 2013-12-18 16:33:00 UTC ***

Because YahooAccount.disconnect() is called when Ib is shutdown regardless of the connection status, the method would call cancel() on the timers and try to delete them even if they weren't defined.

This patch inserts guards that should fix the issue.
Attachment #8354911 - Flags: review?
Assignee: nobody → qheaden
Status: NEW → ASSIGNED
Comment on attachment 8354911 [details] [diff] [review]
Patch 1

*** Original change on bio 2259 attmnt 3126 at 2013-12-18 16:34:35 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354911 - Flags: review? → review?(clokep)
Attachment #8354911 - Flags: review?(aleth)
Comment on attachment 8354911 [details] [diff] [review]
Patch 1

*** Original change on bio 2259 attmnt 3126 at 2013-12-18 16:38:51 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354911 - Flags: review?(clokep) → review+
Comment on attachment 8354911 [details] [diff] [review]
Patch 1

*** Original change on bio 2259 attmnt 3126 at 2013-12-21 00:32:33 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354911 - Flags: review?(aleth) → review+
OS: Linux → All
Hardware: x86 → All
Whiteboard: [checkin-needed]
Dumb question - what repo is this supposed to be pushed to? Don't see it in comm-central.
I just pushed this to Instantbird: http://hg.instantbird.org/instantbird/rev/c33b875bf161

Sorry for the confusion. These repos will hopefully be merged soon.

Thanks for fixing this qheaden, sorry it took so long to merge in!
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.6
You need to log in before you can comment on or make changes to this bug.